Nextgen Ldap
This contains APIs related to Nextgen Ldap as defined in Harness
For the given accountId fetch and return the ng ldap settings
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Get the NgLdap Setting
GET /gateway/ng/api/ldap/ngLdapSettings?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Tests LDAP authentication for the given Account ID, with a valid test email and password
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
This should be a valid test email
This should be a valid password for the test email
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns authentication status
POST /gateway/ng/api/ldap/ldap-login-test?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: multipart/form-data
Accept: */*
Content-Length: 34
{
"email": "text",
"password": "text"
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Returns all userGroups for the configured Ldap in the account matching a given name.
Ldap setting id
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns ldap groups matching a given name
GET /gateway/ng/api/ldap/{ldapId}/search/group?accountIdentifier=text&name=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?